Subject: Re: No _g_config.h on gcc dist?
From: "Gerrit P. Haase" <[email-masked]>
To: John D <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Nov 2004 09:33:47 +0100

John D wrote:

> Hi,
> 
> I have built a mips cross-compiler environment by installing the default cygwin 
> packages plus gcc and glib and then installing the mips cross compiler under 
> usr/local - this is on a W2K OS. C prog compile and run fine, but C++ apps that 
> use the STL fail to compile as below. I've searched my installation and can't 
> find any _G_config.h file. Should this be created by cygwin or the cross 
> compiler?

I don't know.  Which version of gcc were used?  Anyway, if this file is 
missing and should be there, please report this as a bug using the 
gcc.gnu.org bug report facilities.

Gerrit

> 
> Cheers,
> John
> 
>         mips-g++ -c -O2 -mtap -mlong-calls -msoft-float -D_TAP -DNDEBUG -fno-rtt
> i -fno-exceptions -Wno-pmf-conversions -I c:\cygwin\usr\local\include\g++-3 -I..
> \..\Build\include -I c:\cygwin\usr\include -I c:\cygwin\usr\local\include mysamp
> le.cpp
> In file included from c:/cygwin/usr/local/include/g++-3/stl_algobase.h:36,
>                  from c:/cygwin/usr/local/include/g++-3/stack:30,
>                  from mysample.cpp:4:
> c:/cygwin/usr/local/include/g++-3/stl_config.h:151:26: _G_config.h: No such file
>  or directory
> In file included from c:/cygwin/usr/local/include/g++-3/streambuf.h:36,
>                  from c:/cygwin/usr/local/include/g++-3/iostream.h:31,
>                  from c:/cygwin/usr/local/include/g++-3/stl_algobase.h:53,
>                  from c:/cygwin/usr/local/include/g++-3/stack:30,
>                  from mysample.cpp:4:
> c:/cygwin/usr/local/include/g++-3/libio.h:30:23: _G_config.h: No such file or di
> rectory
> NMAKE : fatal error U1077: 'mips-g++' : return code '0x1'
> Stop.
> 

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/